%define packagename URI
%define packageversion 1.10
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    URI-1.10.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/URI-1.10
Provides:  perl-%{packagename}
Summary:   The Perl package URI

%description
This package contains the perl module URI.

This module implements the C<URI> class.  Objects of this class
represent "Uniform Resource Identifier references" as specified in RFC
2396.

A Uniform Resource Identifier is a compact string of characters for
identifying an abstract or physical resource.  A Uniform Resource
Identifier can be further classified either a Uniform Resource Locator
(URL) or a Uniform Resource Name (URN).  The distinction between URL
and URN does not matter to the C<URI> class interface. A
"URI-reference" is a URI that may have additional information attached
in the form of a fragment identifier.

An absolute URI reference consists of three parts.  A I<scheme>, a
I<scheme specific part> and a I<fragment> identifier.  A subset of URI
references share a common syntax for hierarchical namespaces.  For
these the scheme specific part is further broken down into
I<authority>, I<path> and I<query> components.  These URI can also
take the form of relative URI references, where the scheme (and
usually also the authority) component is missing, but implied by the
context of the URI reference.  The three forms of URI reference
syntax are summarized as follows:

<scheme>:<scheme-specific-part>#<fragment>
<scheme>://<authority><path>?<query>#<fragment>
<path>?<query>#<fragment>

The components that a URI reference can be divided into depend on the
I<scheme>.  The C<URI> class provides methods to get and set the
individual components.  The methods available for a specific

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=URI-1.10.tar.gz --verbose   --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=URI-1.10.tar.gz --verbose  --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=URI-1.10.tar.gz --verbose  --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f URI-1.10/URI-1.10.rpmfilelist

%doc URI-1.10/README

